{% extends 'base.html' %}
{% block title %}
Adm - Home
{% endblock  %}
{% block functions%}
{% endblock%}
{% block body %}

<section class="container col-6">

    {% if not tiendas %}

    <form method="POST">
        {% csrf_token %}
        <br>
        <h4>Reasignar a vendedor</h4><br>
        <table class="col-12 table table-bordered table-striped">

            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Usuario</th>
                    <th>Tienda asignada</th>
                    <th>Reasignar</th>
                </tr>
            </thead>
                <tbody>
                    {% for vendedor in vendedores %}
                    <tr name="id_vendedor" value="{{ vendedor.id }}">
                        <td>{{vendedor.nombre}}</td>
                        <td>{{vendedor.nombre_usuario}}</td>
                        <td>{{vendedor.tienda_asignada.nombre}}</td>
                        <td><button type="submit" class="btn btn-success" name="event" value="ver-{{vendedor.id}}">Actualizar</button></td>
                    </tr>
                    {% endfor %}
                </tbody>
        </table>
        <a href="{% url 'administracion:home' %}" class="btn btn-warning">Regresar</a>
    </form>

    {% else %}

    <form method="POST">
        {% csrf_token %}
        
        <h4>Reasignar tienda a </h4><br>
        <input type="text" readonly value="{{vendedor.id}}-{{vendedor.nombre}}" name="vendedor" class="form-control col-4"><br>
        <label for="lista_tiendas">Nueva tienda</label><br>
        <select class="custom-select col-4" name="lista_tiendas" id="lista_tiendas">
            {% for tienda in tiendas %}
            <option value="{{tienda}}">{{tienda}}</option>
            {% endfor %}
        </select><br><br>
        <button class="btn btn-success" type="submit" name="event" value="reasignar">Reasignar</button>
        <a href="{% url 'administracion:asignar-vendedor' %}" class="btn btn-warning">Regresar</a>

    </form>

    {% endif %}

    
    
</section>
{% endblock  %}